Bug 4027 - included module b44.o doesn't work with Broadcom 4401 NIC
: included module b44.o doesn't work with Broadcom 4401 NIC
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-23 16:40 by
Modified: 2006-12-17 17:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-23 16:40:30
The module b44.o included with kernels both 2.4.x and 2.6.x series doesn't work
correctly with Broadcom 4401-based NICs. Module is loaded correctly, and
everything looks fine, but the LINK IS ALWAYS DOWN. The only solution I found is
to compile new driver module from sources provided by Broadcom. It's stated in
their release history that this bug took place and they fixed it. 
I could compile my own module for all 2.4.22-2.4.25 kernels, but failed to do
this for 2.6.5-alt1 kernel: it requires .config file, which is not included with
kernel sources.

Steps to Reproduce:
1. take system without any NIC other than Broadcom 4401-based
2. check your network connectivity 
3. If any other NIC is present in this system the problem may disappear
Actual Results:  
you find that your link is down though the module for NIC is installed correctly

Expected Results:  
I expect the link to be UP ;)
------- Comment #1 From 2004-04-23 16:58:12 -------
Updated Broadcom driver sources can be found here:
http://www.broadcom.com/drivers/downloaddrivers.php
------- Comment #2 From 2005-06-20 19:17:43 -------
reassign to new mantainer
------- Comment #3 From 2006-09-28 01:08:00 -------
Косвенно судя по
http://lists.altlinux.org/pipermail/community/2006-May/179323.html --
kernel-image-std26-2.6.12 из Compact 3.0 это уже не касалось.

Судя по http://www.broadcom.com/support/ethernet_nic/faq_drivers.php#tg3 -- с
2.6.16 волноваться должно быть не о чем...
------- Comment #4 From 2006-10-02 15:38:21 -------
Broadcom Corporation NetXtreme BCM5721 Gigabit Ethernet PCI Express c
tg3 на 2.6.16 из Sisyphus работает. Именно 4401 в наличии нет :(

Eugene Prokopiev (prokopiev stc donpac ru)
------- Comment #5 From 2006-12-17 17:00:24 -------
Тем временем приехало уже и .18.

Если кому надо будет -- повесят новую, раз не получается проверить на текущих
ядрах и судя по #3.